# Learn Programming in Python with Cody Jackson 

<a href=""><img src="" alt="" height="256px" align="right"></a>

This is the code repository for [Learn Programming in Python with Cody Jackson](https://www2.packtpub.com/application-development/learn-programming-python-cody-jackson), published by Packt.

**Grasp the basics of programming and Python syntax while building real-world applications**

## What is this book about?

Python is a cross-platform language used by organizations such as Google and NASA. It lets you work quickly and efficiently, allowing you to concentrate on your work rather than the language. Based on his personal experiences when learning to program, Learn Programming in Python with Cody Jackson provides a hands-on introduction to computer programming utilizing one of the most readable programming languages–Python. It aims to educate readers regarding software development as well as help experienced developers become familiar with the Python language, utilizing real-world lessons to help readers understand programming concepts quickly and easily.

This book covers the following exciting features:
* Use the interactive shell for prototyping and code execution, including variable assignment
* Deal with program errors by learning when to manually throw exceptions
* Employ exceptions for code management
* Enhance code by utilizing Python's built-in shortcuts to improve efficiency and make coding easier Interact with files and package Python data for network transfer or storage
* Understand how tests drive code writing, and vice versa


If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1789531942) today!
 
<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
import sys 
   if len(sys.argv) > 1:  # Check if arguments are provided 
       entered_value = sys.argv[1:]  # Capture all arguments except program name 
```

**Following is what you need for this book:**
	Learn Programming in Python with Cody Jackson is for beginners or novice programmers who have no programming background and wish to take their first step in software development. This book will also be beneficial for intermediate programmers and will provide deeper insights into effective coding practices in Python

With the following software and hardware list you can run all code files present in the book (Chapter 1-12).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 2-12 | Python 3.6+ | Windows, Mac OS X, and Linux (Any) |
| 8 | Python 3.6+, Pytest 3.5+ | Windows, Mac OS X, and Linux (Any) |
| 12 | Python 3.6+, Kivy 1.10+ | Windows, Mac OS X, and Linux (Any) |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://www.packtpub.com/sites/default/files/downloads/9781789531947_ColorImages.pdf).

### Related product
* Learn Python Programming - Second Edition [[Packt]](https://www.packtpub.com/application-development/learn-python-programming-second-edition?utm_source=github&utm_medium=repository&utm_campaign=9781788996662) [[Amazon]](https://www.amazon.com/dp/1788996666)

## Get to Know the Author
**Cody Jackson**
is a disabled military veteran, founder of Socius Consulting and co-founder of Top Men Technologies. He is currently employed at CACI International as the lead ICS/SCADA modeling and simulations engineer. He has been involved in the tech industry since 1994, when he left Gateway Computers to join the Navy as a nuclear chemist and radcon technician. Prior to joining CACI, he worked at ECPI University as a Computer Information Systems adjunct professor. He is a self-taught Python programmer, author of Learning to Program Using Python, and Secret Recipes of the Python Ninja. He holds an AS in Electromechanical Technology, a BS in Computer Engineering Technology, and an MS in IT Management, as well as numerous IT certifications.

## Other books by the author
[Secret Recipes of the Python Ninja](https://www.packtpub.com/application-development/secret-recipes-python-ninja?utm_source=github&utm_medium=repository&utm_campaign=9781788294874)

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.


